summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPaul Eggleton <paul.eggleton@linux.intel.com>2011-12-14 17:35:14 +0000
committerRichard Purdie <richard.purdie@linuxfoundation.org>2012-01-30 16:39:05 +0000
commitc3ba7e8f7aca8b49739b3b92aec723c5f3375bc0 (patch)
tree0b18e790864b9888fa05b818a223af11be2c71ce
parentb66fa6238a8f9c0972a60932941997517826ff03 (diff)
downloadopenembedded-core-c3ba7e8f7aca8b49739b3b92aec723c5f3375bc0.tar.gz
scripts/bitbake: add a version >= 2.6 check
Unfortunately we now have code in BitBake which is parsed before the current version check and is incompatible with Python < 2.6. Rather than fixing this and being eternally vigilant for >= 2.6 feature usage, just add a version check to the wrapper script. (From OE-Core rev: 9b8a48efa3b80fea34efa51de44d10ff2b1e3193) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rwxr-xr-xscripts/bitbake9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/bitbake b/scripts/bitbake
index 587428c589..1c8d4ebe19 100755
--- a/scripts/bitbake
+++ b/scripts/bitbake
@@ -27,6 +27,15 @@ if [ "$py_v3_check" != "" ]; then
exit 1
fi
+# Similarly, we now have code that doesn't parse correctly with older
+# versions of Python, and rather than fixing that and be eternally
+# vigilant for any other new feature use, just check the version here.
+py_v26_check=`python -c 'import sys; print sys.version_info >= (2,6,0)'`
+if [ "$py_v26_check" != "True" ]; then
+ echo "BitBake requires Python 2.6 or later"
+ exit 1
+fi
+
needtar="1"
TARVERSION=`tar --version | head -n 1 | cut -d ' ' -f 4`
float_test() {